<template>
    <span class="icon-container" :class="{'full-size' : fullSize}">
      <i class="icon" ref="dom" :class="'icon-'+icon"></i>
    </span>
</template>

<script lang="ts">
import { Vue, prop } from 'vue-class-component';

class Props {
  icon: string = prop({
    required: true,
  });
  fullSize?: boolean = prop({
    required: false,
  });
}

export default class Icon extends Vue.with(Props) {
}
</script>

<style lang="scss">
@import '@/css/variables';

.icon-container {
  display:flex;
  margin: auto;
  &.full-size {
    width: 100%;
    height: 100%;
  }
}
.icon {
  width: 16px;
  height: 16px;
  display: flex;
  margin: auto;
}

.icon-add {
  -webkit-mask-image: url(@/assets/icons/add.svg);
}
.icon-save {
  -webkit-mask-image: url(@/assets/icons/save.svg);
}
.icon-publish {
  -webkit-mask-image: url(@/assets/icons/publish.svg);
}
.icon-google {
  -webkit-mask-image: url(@/assets/icons/google.svg);
}
.icon-previous {
  -webkit-mask-image: url(@/assets/icons/previous.svg);
}
.icon-next {
  -webkit-mask-image: url(@/assets/icons/next.svg);
}
.icon-search {
  -webkit-mask-image: url(@/assets/icons/search.svg);
}
.icon-logo {
  -webkit-mask-image: url(@/assets/icons/logo.svg);
}

.icon-kubernetes {
  -webkit-mask-image: url(@/assets/icons/kubernetes.svg);
  background: #326CE5 !important;
}
.icon-aws {
  -webkit-mask-image: url(@/assets/icons/aws.svg);
  background: #DF9544 !important;
}
.icon-code {
  -webkit-mask-image: url(@/assets/icons/code.svg);
  background: #2DC7FF !important;
}
.icon-database {
  -webkit-mask-image: url(@/assets/icons/database.svg);
  background: #B4ADEA !important;
}
.icon-storage {
  -webkit-mask-image: url(@/assets/icons/storage.svg);
  background: #51CB20 !important;
}
.icon-worker {
  -webkit-mask-image: url(@/assets/icons/worker.svg);
  background: #FF7D00 !important;
}
.icon-socket {
  -webkit-mask-image: url(@/assets/icons/socket.svg);
  background: #D90368 !important;
}
.icon-caret-down-small {
  -webkit-mask-image: url(@/assets/icons/caret-down-small.svg);
  background: #00003A !important;
  width: 12px;
  height: 12px;
}
.icon-caret-up-small {
  -webkit-mask-image: url(@/assets/icons/caret-up-small.svg);
  background: #00003A !important;
  width: 12px;
  height: 12px;
}
.icon-caret-down {
  -webkit-mask-image: url(@/assets/icons/caret-down.svg);
  background: #00003A !important;
}
.icon-x {
  -webkit-mask-image: url(@/assets/icons/x.svg);
  background: #00003A !important;
}
.icon-spinner {
  -webkit-mask-image: url(@/assets/icons/spinner.svg);
}
.icon-trash {
  -webkit-mask-image: url(@/assets/icons/trash.svg);
  background: #E15F19 !important;
}
.icon-check-circle {
  -webkit-mask-image: url(@/assets/icons/check-circle.svg);
  background: #49dfa5 !important;
}
.icon-cancel-circle {
  -webkit-mask-image: url(@/assets/icons/cancel-circle.svg);
  background: $color-orange !important;
}
.icon-reload {
  -webkit-mask-image: url(@/assets/icons/reload.svg);
}

</style>
